# Generated from studio_game_tarikl-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name studio_game_tarikl

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: enjoy this awesome little game
License: MIT
URL: https://twitter.com/tarik_lahcen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Studio Game 2016
-Tarik- Pragmatic Studio
launch "studio_game" and let the magic shine
A role-playing game is a game in which the participants assume the roles
of characters and collaboratively create stories. Participants determine
the actions of their characters based on their characterisation,
and the actions succeed or fail according to a formal system of rules and
guidelines. Within the rules, they may improvise freely; their choices
shape the direction and outcome of the games.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0-1
- Initial package
